<?php

namespace App\Classes\Modules\KeyValuePairs\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;

class KeyValuePairObject implements DataTransferObject
{
    /** @var string */
    private $key;

    /** @var string */
    private $value;


    /**
     * KeyValuePairObject constructor.
     * @param string $key
     * @param string $value
     */
    public function __construct(string $key, string $value)
    {
        $this->key = $key;
        $this->value = $value;
    }

    /**
     * @return string
     */
    public function getKey(): string
    {
        return $this->key;
    }

    /**
     * @return string
     */
    public function getValue(): string
    {
        return $this->value;
    }

}
